curl --request POST \
--url https://flows.super.ai/api/integrations/database \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--header 'X-API-Key: <api-key>' \
--data '
{
"name": "<string>",
"credential_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"database_type": "csv",
"description": "<string>",
"table_name": "<string>"
}
'import requests
url = "https://flows.super.ai/api/integrations/database"
payload = {
"name": "<string>",
"credential_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"database_type": "csv",
"description": "<string>",
"table_name": "<string>"
}
headers = {
"X-API-Key": "<api-key>",
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {
'X-API-Key': '<api-key>',
Authorization: 'Bearer <token>',
'Content-Type': 'application/json'
},
body: JSON.stringify({
name: '<string>',
credential_id: '3c90c3cc-0d44-4b50-8888-8dd25736052a',
database_type: 'csv',
description: '<string>',
table_name: '<string>'
})
};
fetch('https://flows.super.ai/api/integrations/database', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"created_at": "2023-11-07T05:31:56Z",
"database_type": "csv",
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"name": "<string>",
"status": "<string>",
"updated_at": "2023-11-07T05:31:56Z",
"current_file_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"current_table_name": "<string>",
"description": "<string>",
"modified_by": "system",
"revision_count": 0,
"total_rows": 0
}{
"detail": [
{
"loc": [
"<string>"
],
"msg": "<string>",
"type": "<string>"
}
]
}Create Database
Create a new CSV database instance.
Authorizations
API key authentication. Include your API key in the X-API-Key header as: X-API-Key YOUR_API_KEY
Example:
X-API-Key: saf_1234567890
JWT Bearer token authentication. Include your access token in the Authorization header as: Bearer YOUR_ACCESS_TOKEN
Example:
Authorization: Bearer eyJhbGciOiJIUzI1NiIsInR5cCI6IkpXVCJ9...
Body
Request to create a new document file entry.
Response
Successful Response
Response for document file operations.
Creation timestamp
Type of database
csv, postgres Document file ID
Document name
File status
Last update timestamp
Current file ID in bucket
Current dataset name
Document description
User ID (UUID string) or 'system' of the actor who last modified the file. For users, stores UUID string; for integrations, stores type value; for system changes, stores 'system'.
Number of file revisions
Total rows in current file